/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

#ident	"$Header: vlsi_space.c 1.1 90/04/30 $"

/*
 * Binary configuration data for VTOC partitioning driver
 */

/* $Log:	vlsi_space.c,v $
 */

#include "sys/types.h"
#include "sys/param.h"
#include "sys/devsw.h"

/* device operations */

extern	int	vlsiopen();
extern	int	vlsiclose();
extern	int	vlsiread();
extern	int	vlsiioctl();
extern	int	nulldev();
extern	int	nostrmsgio();
extern	int	nostrpoll();

struct	devops	vlsiops = {
	vlsiopen,			/* d_open */
	vlsiclose,			/* d_close */
	nulldev,			/* d_strategy */
	nulldev,			/* d_minphys */
	nulldev,			/* d_size */
	nulldev,			/* d_print */
	vlsiread,			/* d_read */
	nulldev,			/* d_write */
	vlsiioctl,			/* d_ioctl */
	nulldev,			/* d_mmap */
	nulldev,			/* d_shutdown */
	NULL,				/* d_str */
	nostrmsgio,			/* d_strmsgio */
	nostrpoll			/* d_strpoll */
};
